<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (WD-USA template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/***************************** Version 20240514 ***************************/
############################################################################
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
if (isset($_REQUEST['sector'])) $sector =($_REQUEST['sector']);
$standAlone	= false;			// false if we run in the template environment
$displayWide = true; // If true, display the wide GIF's
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="GOES16 Satellite Loops"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('GOES16 Satellite Loops');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'GOES16 Satellite Loops';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/************************* Settings *****************************/
	$satBand = 'GEOCOLOR'; // Default sector type is set here
	$divWidth = 660; // Also the Iframe Width
	if (!isset($sector))$sector = 'umv'; // IMPORTANT!!! Default sector location is set here
	/* USE ONE of THESE for $sector!
	"can" is Canada
	"pnw" is Pacific Northwest
    "nr" is Northern Rockies
    "umv" is Upper Mississippi Valley
    "cgl" is Great Lakes
    "ne" is Northeast
    "psw" is Pacific Southwest
    "sr" is Southern Rockies
    "sp" is Southern Plains
    "smv" is Southern Mississippi Valley
    "se" is Southeast
	"taw" is Tropical Atlantic-Wide
	"gm" is Gulf of Mexico
	"car" is Caribbean
	"eus" is U.S. Atlantic Coast
	"pr" is Puerto Rico
	"cam" is Central America
	"eep" is Equatorial Eastern Pacific
	"eus" is Eastern US
	"mex" is Mexico
	"nsa" is Northern South America
	"ssa" is Southern South America */
	######################## New in Version 20180114 #######################
	$doDebug = false; // Output debug information?
	$imageWidth = ($standAlone?1200:600); // Default image width
	######################## New in Version 20180214 #######################
	$addTime = true; // Add GMT time to images' animation
	$useUTC = true; // Use UTC time rather than Zulu time (UTC adds seconds counter)
/*********************** End Settings ***************************/
	$satBand = (($satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='FireTemperature'&&$satBand!='DayNightCloudMicroCombo'&&$satBand!='EXTENT3'&&$satBand!='CONUS')?($satBand<10?('0'.intval($satBand)):$satBand):$satBand);    

	$wideScreen = ((isset($_SESSION['CSSwidescreen'])&&$_SESSION['CSSwidescreen']==true)?true:false);

	$sectorTypes = array('standard','CONUS','gm-eus-cam-mex-car-eep','taw-nsa-ssa'); // Pointers to the various possible image dimensions
	$satBand = (($satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='FireTemperature'&&$satBand!='EXTENT3'&&$satBand!='CONUS')?($satBand<10?('0'.intval($satBand)):$satBand):$satBand);    
	if ($sector=='CONUS') $ourSectorType = $sectorTypes[1];
	else if ($sector=='cam'||$sector=='eus'||$sector=='car'||$sector=='gm'||$sector=='mex'||$sector=='eep') $ourSectorType = $sectorTypes[2];
	else if ($sector=='taw'||$sector=='nsa'||$sector=='ssa') $ourSectorType = $sectorTypes[3];
	else if ($sector=='can') $ourSectorType = $sectorTypes[4];
	else $ourSectorType = $sectorTypes[0];

	$sectorDimensions = array('width','height');
	$satBandSectors = array( // Array of arrays of possible image dimensions
		'standard'=>array( // The US Regional Image Dimensions
			'width'=>600,
			'height'=>600),
		'CONUS'=>array( // The Continental US Image Dimensions
			'width'=>625,
			'height'=>375),
		'gm-eus-cam-mex-car-eep'=>array( // Guam, Eastern US, Central America, Mexico
			'width'=>1000,
			'height'=>1000),
		'taw-nsa-ssa'=>array( // The Tropical Atlantic - Wide Dimensions, Eastern Pacific
			'width'=>900,
			'height'=>540),
		'can'=>array( // Canadian Dimensions
			'width'=>1125,
			'height'=>560)
		);
	/* Debug Code *
	if ($doDebug) {
		var_dump($satBandSectors);
		foreach ($satBandSectors as $key1=>$value1) {
		foreach ($value1 as $key=>$value)
			echo '$key1: '.$key1.'=> '.$key.': '.$value.'<br/>';
		}
		echo '$ourSectorType: '.$ourSectorType.'<br/>';
//		exit;
	}
	/* End Debug Code */
	$imageWidth = $satBandSectors[$ourSectorType]['width'];
	$imageHeight = $satBandSectors[$ourSectorType]['height'];
/* Debug Code *
	if ($doDebug) {
		echo '$satBand: '.$satBand.', $sector: '.$sector.', $ourSectorType: '.$ourSectorType.'<br/>';
		echo '$imageWidth: '.$imageWidth.', $imageHeight: '.$imageHeight.'<br/>';
		exit;
	}
/* End Debug Code */	
		if ($standAlone) $bgndColor = 'white';
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var $jq = jQuery.noConflict();
	function showSatellite(standAlone,displayWide,sector,satBand,divWidth,imageWidth,imageHeight,doDebug,wideScreen,addTime,useUTC) { 
		$jq('#selectors').load('inc-wxGOES16-GIFLoops.php', {standAlone:standAlone,displayWide:displayWide,sector:sector,satBand:satBand,divWidth:divWidth,imageWidth:imageWidth,imageHeight:imageHeight,doDebug:doDebug,wideScreen:wideScreen,addTime:addTime,useUTC:useUTC});
	}
}
</script>
</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
############################################################################
}
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth.'px') ?>">
<?php } else { ?>
	<div id="main-copy" style="width:100%; padding:0px">
<?php }	?>
  <div align="center">
  <h2 align="center"><br/><span style="font-size:24px">GOES16 Animated GIF Satellite Loops</span></h2>
    <?php include('inc-wxGOES16-GIFLoops.php');?>
  </div>
</div><!-- end main-copy -->

<?php 
############################################################################
if ( !$standAlone ) {
	############################################################################
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>
