<?php
/***************************** Version 20240514 ***************************/
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}?>
<div id="selectors">
<div>
<?php
ini_set("allow_url_fopen", true);
/************************ Set Test Parameters for Debugging Purposes ********************/
	if (!isset($sector)) { // For debugging set some defaults if 'inc-wxussectors-hanis3.php' is called alone
//		$_SESSION["CSSwidescreen"]=false; // Establish wideScreen for Testing
		echo '<script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js" type="text/javascript"></script>';
		$standAlone = false; // Displays outside of Saratoga template
		$displayWide = false; // Display the larger GIFS?
//		$imageWidth = ($standAlone?1200:600); // Default image width
  	$divWidth = 560;  /* Jim Wyman 3/18/2019 - This variable sets the maximum width of the iFrame that the images will be displayed in. This allows for scaling large images to correctly fit the iframe this will only adjust images whose original size is larger than the iframe. Smaller size will not be affected. */
		$satBand = 'GEOCOLOR'; // Default sector type is set here
		$sector = 'umv'; // IMPORTAMT!!! Default sector location is set here
		$doDebug = false; // Enable/disable Debug output
		$debugText = ''; // Initialize
		$addTime = true; // Add Zulu time to images
		$useUTC = true; // Use UTC time rather than Zulu time (UTC adds seconds counter)
//		$wideScreen = false; // Test Saratoga wideScreen settings
	}
/************************ End Test Parameters for Debugging Purposes ********************/



  if (isset($_POST['standAlone'])) {
    $standAlone = $_POST['standAlone'];
  }
  if (isset($_POST['displayWide'])) {
    $displayWide = $_POST['displayWide'];
  }
  if (isset($_POST['sector'])) {
    $sector = $_POST['sector'];
  }
  if (isset($_POST['satBand'])) {
    $satBand = $_POST['satBand'];
  }
  if (isset($_POST['imageWidth'])) {
    $imageWidth = $_POST['imageWidth'];
  }
  if (isset($_POST['imageHeight'])) {
    $imageHeight = $_POST['imageHeight'];
  }
  if (isset($_POST['doDebug'])) {
    $doDebug = $_POST['doDebug'];
  }
  if (isset($_POST['wideScreen'])) {
    $wideScreen = $_POST['wideScreen'];
  }
  if (isset($_POST['addTime'])) {
    $addTime = $_POST['addTime'];
  }
  if (isset($_POST['useUTC'])) {
    $useUTC = $_POST['useUTC'];
  }
	if ($doDebug) {
		$debugText = ''; // Initialize
	}
	if (!isset($wideScreen)) {
		if ($doDebug) $debugText .= '$wideScreen is not set!<br/>';
		$wideScreen = false;
	}

	if ($doDebug) {
		$debugText .= 'isset($_SESSION[CSSwidescreen]): '.((isset($_SESSION["CSSwidescreen"]))?'true':'false').'<br/>';
		$debugText .= '$wideScreen: '.((isset($_SESSION["CSSwidescreen"])&&$_SESSION["CSSwidescreen"]==true)?'true':'false').'<br/>';
		if (isset($wideScreen)) {
			$debugText .= (', $wideScreen0: '.($wideScreen?'true':'false')).'<br/>';
		}
	}


	if ($doDebug) $debugText .= ('$wideScreen1: '.($wideScreen?'true':'false')).'<br/>';
	$sectorTypes = array('standard','CONUS','gm-eus-cam-mex-car-eep','taw-nsa-ssa','can'); // Pointers to the various possible image dimensions
	if ($sector=='CONUS') $ourSectorType = $sectorTypes[1];
	else if ($sector=='cam'||$sector=='eus'||$sector=='car'||$sector=='gm'||$sector=='mex'||$sector=='eep') $ourSectorType = $sectorTypes[2];
	else if ($sector=='taw'||$sector=='nsa'||$sector=='ssa') $ourSectorType = $sectorTypes[3];
	else if ($sector=='can') $ourSectorType = $sectorTypes[4];
	else $ourSectorType = $sectorTypes[0];

	$sectorDimensions = array('width','height');
	$satBandSectors = array( // Array of arrays of possible image dimensions
		'standard'=>array( // The US Regional Image Dimensions
			'width'=>600,
			'height'=>600),
		'CONUS'=>array( // The Continental US Image Dimensions
			'width'=>625,
			'height'=>375),
		'gm-eus-cam-mex-car-eep'=>array( // Guam, Eastern US, Central America, Mexico
			'width'=>1000,
			'height'=>1000),
		'taw-nsa-ssa'=>array( // The Tropical Atlantic - Wide Dimensions, Eastern Pacific
			'width'=>900,
			'height'=>540),
		'can'=>array( // Canadian Dimensions
			'width'=>1125,
			'height'=>560)
		);

	$imageWidth = $satBandSectors[$ourSectorType]['width'];
	$imageHeight = $satBandSectors[$ourSectorType]['height'];
	/* Debug Code *
	if ($doDebug) {
		var_dump($satBandSectors);
		foreach ($satBandSectors as $key1=>$value1) {
		foreach ($value1 as $key=>$value)
			$debugText .= '$key1: '.$key1.'=> '.$key.': '.$value.'<br/>';
		}
		$debugText .= '$ourSectorType: '.$ourSectorType.'<br/>';
//		exit;
	}
	/* End Debug Code */
	/* Debug Code */
	if ($doDebug) {
		$debugText .= '$satBand: '.$satBand.', $sector: '.$sector.', $ourSectorType: '.$ourSectorType.'<br/>';
		$debugText .= '$imageWidth: '.$imageWidth.', $imageHeight: '.$imageHeight.'<br/>';
//		exit;
	}
/* End Debug Code */	

?>
    <table width="600px">
    <tr style="vertical-align:bottom">

		<?php $satBand = (($satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='FireTemperature'&&$satBand!='DayNightCloudMicroCombo'&&$satBand!='EXTENT3'&&$satBand!='CONUS')?($satBand<10?('0'.intval($satBand)):$satBand):$satBand); ?>    
    <td width="50%" align="center" style="padding:3px;">

    <span style="color:black; font-size:13px; font-family:arial, times new roman;">
    <b>Satellite Band</b> &nbsp;
    </span>
    <select style="background-color:darkslategray;border-radius:7px;color:white;" id="satBand">
    <option value="GEOCOLOR"<?php echo ($satBand=="GEOCOLOR"?' selected="selected"':'')?>>Geocolor</option>
	<option value="AirMass"<?php echo($satBand=="AirMass"?' selected="selected"':'')?>>AirMass</option>
	<option value="FireTemperature"<?php echo($satBand=="FireTemperature"?' selected="selected"':'')?>>FireTemperature</option>
	<option value="EXTENT3"<?php echo($satBand=="EXTENT3"?' selected="selected"':'')?>>Lightning</option>
	<option value="DayNightCloudMicroCombo"<?php echo($satBand=="DayNightCloudMicroCombo"?' selected="selected"':'')?>>DayNightCloudMicroCombo</option>
<!--
    <option value="01"<?php echo ($satBand=="01"?' selected="selected"':'')?>>Blue Visible</option>
-->
    <option value="02"<?php echo ($satBand=="02"?' selected="selected"':'')?>>Red Visible</option>
<!--
    <option value="03"<?php echo ($satBand=="03"?' selected="selected"':'')?>>Veggie - Near IR</option>
    <option value="04"<?php echo ($satBand=="04"?' selected="selected"':'')?>>Cirrus - Near IR</option> 
    <option value="05"<?php echo ($satBand=="05"?' selected="selected"':'')?>>Snow/Ice - Near IR</option>
    <option value="06"<?php echo ($satBand=="06"?' selected="selected"':'')?>>Cloud Particle - Near IR</option>
-->
    <option value="07"<?php echo ($satBand=="07"?' selected="selected"':'')?>>Shortwave Window - IR</option>
    <option value="08"<?php echo ($satBand=="08"?' selected="selected"':'')?>>Upper-Level Water Vapor - IR</option>
<!--
    <option value="09"<?php echo ($satBand=="09"?' selected="selected"':'')?>>Mid-Level Water Vapor - IR</option>
    <option value="10"<?php echo ($satBand=="10"?' selected="selected"':'')?>>Lower-Level Water Vapor - IR</option>
    <option value="11"<?php echo ($satBand=="11"?' selected="selected"':'')?>>Cloud Top - IR</option>
    <option value="12"<?php echo ($satBand=="12"?' selected="selected"':'')?>>Ozone - IR</option>
-->
    <option value="13"<?php echo ($satBand=="13"?' selected="selected"':'')?>>Clean Longwave Window - IR</option>
<!--
    <option value="14"<?php echo ($satBand=="14"?' selected="selected"':'')?>>Longwave Window - IR</option>
    <option value="15"<?php echo ($satBand=="15"?' selected="selected"':'')?>>Dirty Longwave Window - IR</option>
    <option value="16"<?php echo ($satBand=="16"?' selected="selected"':'')?>>CO2 Longwave Window - IR</option>
-->
		</select>
	</td>

	<td width="50%" align="center" style="padding:3px;">
    
    <span style="color:#000000; font-size:13px; font-family:arial, times new roman;">
    <b>Satellite View</b> &nbsp;
    </span>
    <select style="background-color:darkslategray;border-radius:7px;color:white;" id="sector">
<!--
    <option value="CONUS"<?php echo ($sector=="CONUS"?' selected="selected"':'')?>>Continental US</option>
-->
    <option value="can"<?php echo ($sector=="can"?' selected="selected"':'')?>>Canada</option>
	<optgroup label="Contiguous 48 States">
    <option value="pnw"<?php echo ($sector=="pnw"?' selected="selected"':'')?>>Pacific Northwest</option>
    <option value="nr"<?php echo ($sector=="nr"?' selected="selected"':'')?>>Northern Rockies</option>
    <option value="umv"<?php echo ($sector=="umv"?' selected="selected"':'')?>>Upper Mississippi Valley</option>
    <option value="cgl"<?php echo ($sector=="cgl"?' selected="selected"':'')?>>Great Lakes</option>
    <option value="ne"<?php echo ($sector=="ne"?' selected="selected"':'')?>>Northeast</option>
    <option value="psw"<?php echo ($sector=="psw"?' selected="selected"':'')?>>Pacific Southwest</option>
    <option value="sr"<?php echo ($sector=="sr"?' selected="selected"':'')?>>Southern Rockies</option>
    <option value="sp"<?php echo ($sector=="sp"?' selected="selected"':'')?>>Southern Plains</option>
    <option value="smv"<?php echo ($sector=="smv"?' selected="selected"':'')?>>Southern Mississippi Valley</option>
    <option value="se"<?php echo ($sector=="se"?' selected="selected"':'')?>>Southeast</option>
    <option value="eus"<?php echo ($sector=="eus"?' selected="selected"':'')?>>Eastern US Coast</option>
    </optgroup>
    <optgroup label="Caribbean/Atlantic">
    <option value="taw"<?php echo ($sector=="taw"?' selected="selected"':'')?>>Tropical Atlantic - Wide</option>
    <option value="gm"<?php echo ($sector=="gm"?' selected="selected"':'')?>>Gulf of Mexico</option>
    <option value="car"<?php echo ($sector=="car"?' selected="selected"':'')?>>Caribbean</option>
    <option value="cam"<?php echo ($sector=="cam"?' selected="selected"':'')?>>Central America</option>
    <option value="eep"<?php echo ($sector=="eep"?' selected="selected"':'')?>>Eastern Pacific</option>
    <option value="pr"<?php echo ($sector=="pr"?' selected="selected"':'')?>>Puerto Rico</option>
    <option value="mex"<?php echo ($sector=="mex"?' selected="selected"':'')?>>Mexico</option>
    <option value="nsa"<?php echo ($sector=="nsa"?' selected="selected"':'')?>>Northern South America</option>
    <option value="ssa"<?php echo ($sector=="ssa"?' selected="selected"':'')?>>Southern South America</option>
    </optgroup>
    </select>
	</td></tr></table>
  
  <?php 
	$satBand = (($satBand!='GEOCOLOR'&&$satBand!='AirMass'&&$satBand!='FireTemperature'&&$satBand!='DayNightCloudMicroCombo'&&$satBand!='EXTENT3'&&$satBand!='CONUS')?($satBand<10?('0'.intval($satBand)):$satBand):$satBand);    
	if ($sector=='CONUS') $ourSectorType = $sectorTypes[1];
	else if ($sector=='cam'||$sector=='eus'||$sector=='car'||$sector=='gm'||$sector=='mex') $ourSectorType = $sectorTypes[2];
	else if ($sector=='taw'||$sector=='nsa'||$sector=='ssa'||$sector=='eep') $ourSectorType = $sectorTypes[3];
	else if ($sector=='can') $ourSectorType = $sectorTypes[4];
	else $ourSectorType = $sectorTypes[0];

	$gifWidth = $satBandSectors[$ourSectorType]['width'];
	$imageWidth = $satBandSectors[$ourSectorType]['width'];
	$imageHeight = $satBandSectors[$ourSectorType]['height'];

	/* Debug Code */
	if ($doDebug) {
		$debugText .= '$satBand4: '.$satBand.', $sector: '.$sector.', $ourSectorType: '.$ourSectorType.'<br/>';
		$debugText .= '$imageWidth: '.$imageWidth.', $imageHeight: '.$imageHeight.'<br/>';
	}
/* End Debug Code */	
	/* Debug Code *
	if ($doDebug) {
		var_dump($satBandSectors);
		foreach ($satBandSectors as $key1=>$value1) {
		foreach ($value1 as $key=>$value)
			$debugText .= '$key1: '.$key1.'=> '.$key.': '.$value.'<br/>';
		}
		$debugText .= '$ourSectorType: '.$ourSectorType.'<br/>';
//		exit;
	}
	/* End Debug Code */
	/* Debug Code */
	if ($doDebug) {
		$debugText .= '$imageWidth: '.$imageWidth.', $imageHeight: '.$imageHeight.'<br/>';
		$debugText .= 'https://cdn.star.nesdis.noaa.gov/GOES16/ABI/GIFS/GOES16-'.strtoupper($sector).'-'.$satBand.'-'.$imageWidth.'x'.$imageHeight.'.gif<br/>';
//		exit;
	}
	/* End Debug Code */	
	$jsConstants = array(
			'var imageWidth = "'.$imageWidth.'";',
			'var imageHeight = "'.$imageHeight.'";',
			'var doDebug = "'.($doDebug?'1':'0').'";'.
			'var divWidth = "'.($divWidth?'1':'0').'";'.
			'var standAlone = "'.($standAlone?'1':'0').'";'.
			'var displayWide = "'.($displayWide?'1':'0').'";'.
			'var wideScreen = "'.($wideScreen?'1':'0').'";',
			'var addTime = "'.($addTime?'1':'0').'";',
			'var useUTC = "'.$useUTC.'";'
	);
	?>

	
<script type="text/javascript">
		var $jq = jQuery.noConflict();
    $jq("#sector").change(function () {
	
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var satBand = $jq("#satBand").val();
      var sector = $jq(this).val();
      showSatellite(standAlone,displayWide,sector,satBand,divWidth,imageWidth,imageHeight,doDebug,wideScreen,addTime,useUTC);
		});

    $jq("#satBand").change(function () {
			<?php for ($i=0; $i<count($jsConstants); $i++) {
				echo $jsConstants[$i];
			}?>
			var sector = $jq("#sector").val();
      var satBand = $jq(this).val();
      showSatellite(standAlone,displayWide,sector,satBand,divWidth,imageWidth,imageHeight,doDebug,wideScreen,addTime,useUTC);
		});
</script>
</div>
<?php $ratio = $divWidth/$imageWidth; // Jim Wyman 3/18/2019 - This variable calculates the ratio between the iframe width and the imagewidth being shown. It is used to scale both the width and height of the GIF to correctly scale both axes.
?>		     
<div class="center" align="center" style="width:<?php echo (($imageWidth>625&&(((!$standAlone&&!$wideScreen)||!$displayWide)))?$imageWidth*$ratio:$imageWidth)?>px"> <!-- <div> to align loop in center of display -->
<!--
https://cdn.star.nesdis.noaa.gov/GOES16/GLM/SECTOR/umv/EXTENT3/GOES16-UMV-EXTENT3-600x600.gif
https://cdn.star.nesdis.noaa.gov/GOES16/ABI/SECTOR/umv/FireTemperature/GOES16-UMV-FireTemperature-600x600.gif
https://cdn.star.nesdis.noaa.gov/GOES16/ABI/SECTOR/umv/NightMicrophysics/GOES16-UMV-NightMicrophysics-600x600.gif
https://cdn.star.nesdis.noaa.gov/GOES16/ABI/SECTOR/umv/AirMass/GOES16-UMV-AirMass-600x600.gif
https://cdn.star.nesdis.noaa.gov/GOES16/ABI/SECTOR/umv/GEOCOLOR/GOES16-UMV-GEOCOLOR-600x600.gif
https://cdn.star.nesdis.noaa.gov/GOES16/<?php echo $nesdisDirectory?>/SECTOR/<?php $sector?>/<?php echo $satBand?>/GOES16-<?php echo strtoupper($sector)?>-<?php echo $satBand?>-<?php echo $imageWidth?>x<?php echo $imageHeight?>.gif
-->
<?php 
	if ($satBand=='EXTENT3') $nesdisDirectory = 'GLM';
	else $nesdisDirectory = 'ABI';
	if ($doDebug) {
		echo '$nesdisDirectory: '.$nesdisDirectory.'<br/>';
		echo 'https://cdn.star.nesdis.noaa.gov/GOES16/'.$nesdisDirectory.'/SECTOR/'.$sector.'/'.$satBand.'/GOES16-'.strtoupper($sector).'-'.$satBand.'-'.$imageWidth.'x'.$imageHeight.'.gif';
	}
?>
	<img src="<?php echo 'https://cdn.star.nesdis.noaa.gov/GOES16/'.$nesdisDirectory.'/SECTOR/'.$sector.'/'.$satBand.'/GOES16-'.strtoupper($sector).'-'.$satBand.'-'.$imageWidth.'x'.$imageHeight.'.gif'?>" alt="<?php echo $sector?> GIF Animation" height="<?php echo (($imageWidth>625)&&(((!$standAlone&&!$wideScreen)||!$displayWide)))?$imageHeight*$ratio:$imageHeight?>" width="<?php echo (($imageWidth>625)&&(((!$standAlone&&!$wideScreen)||!$displayWide)))?$imageWidth*$ratio:$imageWidth?>"/>
</div>
<div align="center">
<?php if ($sector=='CONUS'||$sector=='FD'||$sector=='taw'||$sector=='car'||$sector=='eus'||$sector=='gm'||$sector=='nsa'||$sector=='ssa') {
	echo '<div style="font-size:12px" align="center">';
		if($sector=='CONUS') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES16/ABI/CONUS/'.$satBand.'/2500x1500.jpg" target="_blank">2500x1500</a> Pixel Image';
		} else if ($sector=='FD') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES16/ABI/FD/'.$satBand.'/5424x5424.jpg" target="_blank">5424x5424 (16+MB)</a> Pixel Image';
		} else if ($sector=='taw'||$sector=='nsa'||$sector=='ssa') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES16/ABI/SECTOR/'.$sector.'/'.$satBand.'/3600x2160.jpg" target="_blank">3600x2160</a> or <a href="https://cdn.star.nesdis.noaa.gov/GOES16/ABI/SECTOR/'.$sector.'/'.$satBand.'/7200x4320.jpg" target=_blank">7200x4340</a> (26+MB!) Pixel Image';
		} else if ($sector=='car') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES16/ABI/SECTOR/car/'.$satBand.'/2000x2000.jpg" target="_blank">2000x2000</a> or <a href="https://cdn.star.nesdis.noaa.gov/GOES16/ABI/SECTOR/'.$sector.'/'.$satBand.'/latest.jpg" target="_blank">4000x4000</a> Pixel Image';
		} else if ($sector=='eus'||$sector=='gm') {
			echo 'Latest <a href="https://cdn.star.nesdis.noaa.gov/GOES16/ABI/SECTOR/'.$sector.'/'.$satBand.'/latest.jpg" target="_blank">2000x2000</a> Pixel Image';
//		}
	}	echo '</div>';
}
if ($doDebug) {
	echo '$imageWidth: '.$imageWidth.', $imageHeight: '.$imageHeight.', $wideScreen: '.($wideScreen?'true':'false').'<br/>';
}
?>
	<?php { // Adds New UTC Timer Display
		echo '<span style="line-height:140%">The date is currently <b>'.gmdate("M j, Y").'</b>. The time is <b>';
		echo('<span id="zTimer">'.gmdate("Hi").'</span> Zulu');
		if ($useUTC) echo (', <span id="gmTimer">'.gmdate("H:i:s").'</span> UTC');
		echo '.</b></span><br/>';
	}
if (!$standAlone&&!$wideScreen) {
	echo (file_exists('wxGOES16-GIFLoops-SA.php'))?'<span style="font-size:14px; align:center"><br/><a href="http://'.$_SERVER['SERVER_NAME'].'/wxGOES16-GIFLoops-SA.php" target="_blank" title="New Tab">Larger Image Loop</a></span><br/>':'';
}?>
<div style="font-size:10px; color: black; text-align:center">
  <span style="font-size:9px; text-align:center">The above animated images are produced by <a href="https://www.star.nesdis.noaa.gov/GOES/sectors_index.php" target="_blank" title="Off Site">NOAA GOES Satellite Distribution Center</a><br/>Script by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SELincoln Weather</a> - Resizing Code by <a href="https://somdweather.com/" target="_blank" title="New Tab">Southern Maryland Weather</a><br/>
</span>
<?php  if ($doDebug) {
	$debugText .= '$imageWidth: '.$imageWidth.', $imageHeight: '.$imageHeight.', $standAlone: '.($standAlone==true?'true':'false').', $displayWide: '.($displayWide==true?'true':'false').'<br/>'; 
} ?>
</div>
</div>
<?php if ($doDebug) print '<br/>'.$debugText;?>
</div> <!-- End #selectors id -->
<script type="text/javascript">
function zuluTimer() {<!--
//<![CDATA[
  var d = new Date();
  var _min = d.getMinutes();
	var _hour = d.getUTCHours();
	var _sec = d.getSeconds();
if ( ( ((_hour+1)/3)== Math.round((_hour+1)/3) )&&(!(_min%60)&&!(_sec%60))) {
  console.log("((_hour+1)/3): "+((_hour+1)/3));
	console.log("Math.round((_hour+1)/3): "+Math.round((_hour+1)/3));
}
  var count = (60 - _sec); // current count
  var counter=setInterval(timer, 1000);
  function timer() {
    count=count-1;
    if (count <= 0) {
      clearInterval(counter);
      zuluTimer();
    }
  } 
	<?php echo 'document.getElementById("zTimer").innerHTML = ((_hour<10)?(\'0\'+_hour):_hour).toString() + ((_min<10)?(\'0\'+_min):_min).toString();';?>
} zuluTimer();
//]]>
-->
function gmtTimer() {<!--
//<![CDATA[
  var d = new Date();
  var _min = d.getMinutes();
	var _hour = d.getUTCHours();
	var _sec = d.getSeconds();
if ( ( ((_hour+1)/3)== Math.round((_hour+1)/3) )&&(!(_min%60)&&!(_sec%60))) {
  console.log("((_hour+1)/3): "+((_hour+1)/3));
	console.log("Math.round((_hour+1)/3): "+Math.round((_hour+1)/3));
}
  var count = (60 - _sec); // current count
  var counter=setInterval(timer, 1000);
  function timer() {
    count=count-1;
		<?php echo 'document.getElementById("gmTimer").innerHTML = ((_hour<10)?(\'0\'+_hour):_hour).toString() +encodeURI(":") + ((_min<10)?(\'0\'+_min):_min).toString() + encodeURI(":") + ((_sec<10)?(\'0\'+_sec):_sec).toString();';?>
		_sec = _sec + 1;
		if (count <= 0) {
      clearInterval(counter);
      gmtTimer();
    }
	}
} gmtTimer();
//]]>
-->
</script>
